
TYPO3.Flow - Task # 27233

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category: Security
Created: 2011-06-06 Assigned To: Karsten Dambekalns
Updated: 2011-09-09 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Rename __CSRF-TOKEN to __csrfToken
Description

Refers to "May 16 2011 [+BUGFIX] (MVC): Introduce internal Request Arguments"

Also remember to rename it in the ExtJS package as well!

Associated revisions
Revision 6da06284 - 2011-09-09 10:58 - Karsten Dambekalns

[TASK] Rename __CSRF-TOKEN to __csrfToken

The name for the CSRF token did not follow our camelCase conventions.

Change-Id: I270994c9f5e930bcd5109057c2623cc25265383e
Resolves: #27233

History
#1 - 2011-06-06 08:01 - Sebastian Kurfuerst
- Category set to Security
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1

#2 - 2011-07-06 19:43 - Karsten Dambekalns
- Tracker changed from Bug to Task

#3 - 2011-08-04 08:17 - Sebastian Kurfuerst
- Status changed from Accepted to New
- Priority changed from Must have to Should have
- Target version changed from 1.0 beta 1 to 1.0 beta 2

#4 - 2011-09-09 10:56 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Sebastian Kurfuerst to Karsten Dambekalns

#5 - 2011-09-09 10:58 - Mr. Hudson
- Status changed from Accepted to Under Review
Patch set 1 of change I270994c9f5e930bcd5109057c2623cc25265383e has been pushed to the review server.
It is available at http://review.typo3.org/4867

#6 - 2011-09-09 11:05 - Karsten Dambekalns

Also the change to ExtJS at https://review.typo3.org/#change,4868 is related.

#7 - 2011-09-09 13:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6da0628400724c467a2560c680eda34f535f5e54.
